=== debian/changelog ===
openssl1.0 (1.0.2q-2) unstable; urgency=medium

  * User openssl.cnf from the build directory for the testsuite.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 24 Nov 2018 13:02:13 +0100

openssl1.0 (1.0.2q-1) unstable; urgency=medium

  * Correct typo in the riscv64 target (Closes: #891799).
  * Update to policy 4.1.4
    - drop Priority: important.
    - use signing-key.asc and a https links for downloads.
    - point the VCS-* to salsa.
  * Import upstream version 1.0.2q
    - CVE-2018-5407 (Microarchitecture timing vulnerability in ECC scalar
      multiplication)
    - CVE-2018-0734 (Timing vulnerability in DSA signature generation)
    - CVE-2018-0732 (Client DoS due to large DH parameter)
    - CVE-2018-0737 (Cache timing vulnerability in RSA Key Generation)
      (Closes: #895845)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 22 Nov 2018 22:06:24 +0100

openssl1.0 (1.0.2o-1) unstable; urgency=medium

  * Add riscv64 (Closes: #891799).
  * New upstream version 1.0.2o:
    - Fixes CVE-2018-0739 (Constructed ASN.1 types with a recursive definition
            could exceed the stack)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 27 Mar 2018 21:10:52 +0200
