## openssl1.0 1.0.2r

=== debian/changelog ===
openssl1.0 (1.0.2r-1~deb9u1) stretch-security; urgency=medium

  [ Kurt Roeckx ]
  * New upstream version
    - Fixes CVE-2019-1559

  [ Sebastian Andrzej Siewior ]
  * Use openssl.cnf from the build directory for the testsuite.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 27 Feb 2019 21:58:52 +0100

openssl1.0 (1.0.2q-1~deb9u1) stretch-security; urgency=medium

  * use signing-key.asc and a https links for downloads
  * Import 1.0.2q stable release.
    - CVE-2018-0737 (Cache timing vulnerability in RSA Key Generation)
    - CVE-2018-0732 (Client DoS due to large DH parameter)
    - CVE-2018-0734 (Timing vulnerability in DSA signature generation)
    - CVE-2018-5407 (Microarchitecture timing vulnerability in ECC scalar
      multiplication)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 16 Dec 2018 21:07:51 +0100

openssl1.0 (1.0.2l-2+deb9u3) stretch-security; urgency=high

  * CVE-2018-0739 (Constructed ASN.1 types with a recursive definition could
    exceed the stack)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 29 Mar 2018 13:10:14 +0200

openssl1.0 (1.0.2l-2+deb9u2) stretch-security; urgency=high

  * CVE-2017-3737 (Read/write after SSL object in error state)
  * Add a testcase for CVE-2017-3737
  * CVE-2017-3738 (rsaz_1024_mul_avx2 overflow bug on x86_64)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 13 Dec 2017 23:09:47 +0100

openssl1.0 (1.0.2l-2+deb9u1) stretch-security; urgency=medium

  * Fix CVE-2017-3735
  * Fix CVE-2017-3736

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 02 Nov 2017 14:03:53 +0100
