## openssl1.0 1.0.2s

=== debian/changelog ===
openssl1.0 (1.0.2s-1~deb9u1) stretch-security; urgency=medium

  * New upstream version

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 26 Jun 2019 20:25:01 +0200
